Bug 1278945 - [Docs] [Azure] Adding an Azure provider - Documentation requirements
[Docs] [Azure] Adding an Azure provider - Documentation requirements
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Suyog Sainkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 14:49 EST by Bronagh Sorota
Modified: 2015-12-08 05:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 05:04:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bronagh Sorota 2015-11-06 14:49:00 EST
Documentation needs to be provided around authenticating CloudForms with Azure.
Before CloudForms can be authenticated to Azure, a series of steps must be followed on Azure to create a service principal account for CloudForms. These steps are already documented here:
http://blog.davidebbo.com/2014/12/azure-service-principal.html

After a service principal account has been created in Azure, the following 3 pieces of information will be available for adding an Azure provider to CloudForms:
1) Client ID
2) Tenant ID
3) Client Key

When adding an Azure provider, the user will be required to select a region from a drop down list of possible regions, just like with Amazon EC2. One provider will be created for the selected region.
The user will also be able to discover a set of Azure providers across all regions, just like in Amazon EC2.
Comment 2 Andrew Dahms 2015-11-10 01:26:04 EST
Assigning to Suyog for review.
Comment 4 Bronagh Sorota 2015-11-17 12:12:56 EST
Under the procedure steps I would include that the region drop down needs to have a value selected.
I am wondering if we should document procedures for Discovering Azure also?
Comment 6 Bronagh Sorota 2015-11-20 08:24:17 EST
Hi Suyog

Can you clarify that regions drop down is present in the  latest CFME instance? Can you also confirm that Azure discovery UI controls are in place and that you plan to document how to use it? 

thanks
B
Comment 8 Bronagh Sorota 2015-11-25 11:09:16 EST
Looks good Suyog.
Comment 9 Andrew Dahms 2015-12-08 05:04:28 EST
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.